Loading...
Searching...
No Matches
Catch::TablePrinter Class Reference
Collaboration diagram for Catch::TablePrinter:
[legend]

## Public Member Functions

| TablePrinter (std::ostream &os, std::vector< ColumnInfo > columnInfos)
auto | columnInfos () const -> std::vector< ColumnInfo > const &
void | open ()
void | close ()

## Private Attributes

std::ostream & | m_os
std::vector< ColumnInfo > | m_columnInfos
ReusableStringStream | m_oss
int | m_currentColumn = -1
bool | m_isOpen = false

## Friends

template<typename T>
TablePrinter & | operator<< (TablePrinter &tp, T const &value)
TablePrinter & | operator<< (TablePrinter &tp, ColumnBreak)
TablePrinter & | operator<< (TablePrinter &tp, RowBreak)
TablePrinter & | operator<< (TablePrinter &tp, OutputFlush)

## Constructor & Destructor Documentation

## TablePrinter()

Catch::TablePrinter::TablePrinter | ( | std::ostream & | os,
|  | std::vector< ColumnInfo > | columnInfos )

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## close()

void Catch::TablePrinter::close | ( |  | ) |

inline

## columnInfos()

auto Catch::TablePrinter::columnInfos | ( |  | ) | const -> std::vector<ColumnInfo> const&

inline

Here is the caller graph for this function:

## open()

void Catch::TablePrinter::open | ( |  | ) |

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<< [1/4]

TablePrinter & operator<< | ( | TablePrinter & | tp,
|  | ColumnBreak | )

friend

## operator<< [2/4]

TablePrinter & operator<< | ( | TablePrinter & | tp,
|  | OutputFlush | )

friend

## operator<< [3/4]

TablePrinter & operator<< | ( | TablePrinter & | tp,
|  | RowBreak | )

friend

## operator<< [4/4]

template<typename T>

TablePrinter & operator<< | ( | TablePrinter & | tp,
|  | T const & | value )

friend

## Member Data Documentation

## m_columnInfos

std::vector<ColumnInfo> Catch::TablePrinter::m_columnInfos

private

## m_currentColumn

int Catch::TablePrinter::m_currentColumn = -1

private

## m_isOpen

bool Catch::TablePrinter::m_isOpen = false

private

## m_os

std::ostream& Catch::TablePrinter::m_os

private

## m_oss

ReusableStringStream Catch::TablePrinter::m_oss

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.cpp